<?php

require_once('book_sc_fns.php');
session_start();

do_html_header("Úprava knihy");
if (check_admin_user()) {
  if (filled_out($_POST)) {
    $oldisbn = $_POST['oldisbn'];
    $isbn = $_POST['isbn'];
    $title = $_POST['title'];
    $author = $_POST['author'];
    $catid = $_POST['catid'];
    $price = $_POST['price'];
    $description = $_POST['description'];

    if (update_book($oldisbn, $isbn, $title, $author, $catid, $price, $description)) {
      echo "<p>Kniha byla aktualizována.</p>";
    } else {
      echo "<p>Knihu se nepodařilo aktualizovat.</p>";
    }
  } else {
    echo "<p>Nevyplnil/a jste včechna pole. Prosíme, zkuste to znovu.</p>";
  }
  do_html_url("admin.php", "Zpět k administrační nabídce");
} else {
  echo "<p>Nejste oprávněn/a prohlížet si tuto stránku.</p>";
}

do_html_footer();

?>
